Open SCAP Library: cve_reference Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
cve_reference Struct Reference
CVE

Structure holding CVE reference data. More...

`#include <cve_priv.h>`

## Public Member Functions
struct cve_reference * | cve_reference_new (void)
| New CVE reference. More...
struct cve_reference * | cve_reference_clone (struct cve_reference *old_ref)
| Clone CVE reference. More...
void | cve_reference_free (struct cve_reference *ref)
| Free CVE reference. More...
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
const char * | cve_reference_get_value (const struct cve_reference *ref)
| Get CVE reference values. More...
const char * | cve_reference_get_href (const struct cve_reference *ref)
| Get CVE reference href. More...
const char * | cve_reference_get_type (const struct cve_reference *ref)
| Get CVE reference type. More...
const char * | cve_reference_get_source (const struct cve_reference *ref)
| Get CVE reference source. More...
const char * | cve_reference_get_lang (const struct cve_reference *ref)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
bool | cve_reference_set_value (struct cve_reference *reference, const char *new_value)
| Set value of CVE reference. More...
bool | cve_reference_set_href (struct cve_reference *reference, const char *new_href)
| Set href of CVE reference. More...
bool | cve_reference_set_type (struct cve_reference *reference, const char *new_type)
| Set type of CVE reference. More...
bool | cve_reference_set_source (struct cve_reference *reference, const char *new_source)
| Set source of CVE reference. More...
bool | cve_reference_set_lang (struct cve_reference *reference, const char *new_lang)

## Data Fields
char * | value
char * | href
char * | type
char * | source
char * | lang

## Detailed Description

Structure holding CVE reference data.

The documentation for this struct was generated from the following files:

- cve_priv.c
- cve_nvd.h